summaryrefslogtreecommitdiff
path: root/dev-python/pyproj
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-13 13:27:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-13 13:27:36 +0000
commit99052befc5d63ca8e995e3069081daa6fc256abe (patch)
treeb44aa626e87aee195ffc2efc307b62ff78140af5 /dev-python/pyproj
parente38ceb784ac5223cae116f30edf86766b175a112 (diff)
downloadbaldeagleos-repo-99052befc5d63ca8e995e3069081daa6fc256abe.tar.gz
baldeagleos-repo-99052befc5d63ca8e995e3069081daa6fc256abe.tar.xz
baldeagleos-repo-99052befc5d63ca8e995e3069081daa6fc256abe.zip
Adding metadata
Diffstat (limited to 'dev-python/pyproj')
-rw-r--r--dev-python/pyproj/Manifest1
-rw-r--r--dev-python/pyproj/pyproj-3.6.0.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/pyproj/Manifest b/dev-python/pyproj/Manifest
index 04defc4ab185..d4ba278e26b1 100644
--- a/dev-python/pyproj/Manifest
+++ b/dev-python/pyproj/Manifest
@@ -1 +1,2 @@
DIST pyproj-3.5.0.gh.tar.gz 237380 BLAKE2B e401998418efb79be496bf11be904191fa43e004331867415524508c8766ca9f4ae390ade1341ab6508e6d7d92c8875357bad2b1af159b642345065f8c28ebf8 SHA512 64d1eab54fc5e39d6403fcb0ae3e0b5283303471431894fa6fa94c118374c4ca1a9a418a7d0d1d8bbd2a6a96a5a2dbaf3d067417d6335174c8911db796fbd0a9
+DIST pyproj-3.6.0.gh.tar.gz 238966 BLAKE2B 441904a343b7abab19e9d17a1bcb053d4f5606886b1325cfadcdd8456b61871bee4d13c49802008aea5c5864c40ef15a4a7681969890368a1991ba696b76ab78 SHA512 e713de94331022112049e76f7f56d24439a0dee339e8419acf8b023b3234a7c2ba468bed880749036fca2a93b289575ebb74854ba178f3b6debae8aa53befcf7
diff --git a/dev-python/pyproj/pyproj-3.6.0.ebuild b/dev-python/pyproj/pyproj-3.6.0.ebuild
new file mode 100644
index 000000000000..babe636bc227
--- /dev/null
+++ b/dev-python/pyproj/pyproj-3.6.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to the PROJ library"
+HOMEPAGE="
+ https://github.com/pyproj4/pyproj/
+ https://pypi.org/project/pyproj/
+"
+SRC_URI="
+ https://github.com/pyproj4/pyproj/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+
+DEPEND="
+ >=sci-libs/proj-9.0.0:=
+"
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/shapely[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ # Avoid greedily trying -L/usr/lib, etc
+ # https://github.com/pyproj4/pyproj/blob/main/setup.py#L76
+ export PROJ_LIBDIR="${ESYSROOT}/usr/$(get_libdir)"
+ export PROJ_INCDIR="${ESYSROOT}/usr/include"
+}
+
+python_test() {
+ rm -rf pyproj || die
+ epytest -m "not network" test
+}